import React from 'react';
import { Switch, FormControl, FormLabel } from '@chakra-ui/react';

interface StatusSwitchProps {
  isChecked: boolean;
}

const StatusSwitch: React.FC<StatusSwitchProps> = ({ isChecked }) => {
  // Add change handling logic if needed
  const handleSwitchChange = () => {
    // Implement your switch change logic here
  };

  return (
    <FormControl display="flex" alignItems="center">
      <FormLabel htmlFor="status-switch" mb="0">
        <Switch id="status-switch" colorScheme="orange" isChecked={isChecked} onChange={handleSwitchChange} />
      </FormLabel>
    </FormControl>
  );
};

export default StatusSwitch;

